Skip to main content
Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 0.6SynchronousAuth Required

QueryIpRange

QueryIpRange

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • startIpStringRequired

      开始IP。

    • endIpStringRequired

      结束IP。

    • netmaskStringRequired

      No description provided.

    • prefixLenStringRequired

      The prefix length.

    • gatewayStringRequired

      No description provided.

    • networkCidrStringRequired

      No description provided.

    • ipVersionIntegerRequired

      The IP version.

    • addressModeStringRequired

      The allocation mode of the IPv6 address.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/l3-networks/ip-ranges

/zstack/v1/l3-networks/ip-ranges

Operation ID

QueryIpRange

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/ip-ranges' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "l3NetworkUuid": "9a72daf0034443aa81864e593f0f5b32", "name": "Test-IPRange", "networkCidr": "192.168.10.0/24" } ] }

Change History

This API has no change history records yet.

View all change history